<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__ble__multi__adv__params__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_ble_multi_adv_params_t</compoundname>
    <includes local="no">wiced_bt_ble.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a7f75e376dc2b3dfd530773829d9993be" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_multi_adv_params_t::adv_int_min</definition>
        <argsstring />
        <name>adv_int_min</name>
        <briefdescription>
<para>&lt; BTM_BLE_ADVERT_INTERVAL_MIN to BTM_BLE_ADVERT_INTERVAL_MAX ( As per spec ) </para>
        </briefdescription>
        <detaileddescription>
<para>Minimum adv interval BTM_BLE_ADVERT_INTERVAL_MIN to BTM_BLE_ADVERT_INTERVAL_MAX ( As per spec ) </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="351" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="351" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a831863d686ff8dcce219d3783571c22e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_ble_multi_adv_params_t::adv_int_max</definition>
        <argsstring />
        <name>adv_int_max</name>
        <briefdescription>
<para>Maximum adv interval. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="353" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="353" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a7cce84bb9e3419295fbc1d7161b3363c" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__btm__ble__api__functions_1ga9b230bb2ed817386a6067735d397272b">wiced_bt_ble_multi_advert_type_t</ref></type>
        <definition>wiced_bt_ble_multi_advert_type_t wiced_bt_ble_multi_adv_params_t::adv_type</definition>
        <argsstring />
        <name>adv_type</name>
        <briefdescription>
<para>Adv event type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="354" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="354" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1aecca987b1351639016aa85764b1672f4" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__btm__ble__api__functions_1ga9d58795bb527ae681bfa8135cc4b67e3">wiced_bt_ble_advert_chnl_map_t</ref></type>
        <definition>wiced_bt_ble_advert_chnl_map_t wiced_bt_ble_multi_adv_params_t::channel_map</definition>
        <argsstring />
        <name>channel_map</name>
        <briefdescription>
<para>Adv channel map. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="355" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="355" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a9d16264ddaf50b7ea54232171235ed4b" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__btm__ble__api__functions_1ga9f721100e521471e5a9cc5f9adcd92d4">wiced_bt_ble_advert_filter_policy_t</ref></type>
        <definition>wiced_bt_ble_advert_filter_policy_t wiced_bt_ble_multi_adv_params_t::adv_filter_policy</definition>
        <argsstring />
        <name>adv_filter_policy</name>
        <briefdescription>
<para>Advertising filter policy. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="356" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="356" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a73cd14a2cf4b44e6cdde7e7dd20fa302" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__btm__ble__api__functions_1ga60bed9d170be5754f637844eb070bcd3">wiced_bt_ble_adv_tx_power_t</ref></type>
        <definition>wiced_bt_ble_adv_tx_power_t wiced_bt_ble_multi_adv_params_t::adv_tx_power</definition>
        <argsstring />
        <name>adv_tx_power</name>
        <briefdescription>
<para>Adv tx power. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="357" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="357" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1afce21fc6885a7da0b01bac3b97954836" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_ble_multi_adv_params_t::peer_bd_addr</definition>
        <argsstring />
        <name>peer_bd_addr</name>
        <briefdescription>
<para>Peer Device address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="358" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="358" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a130a1499d30093d9c947a44c214d7937" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
        <definition>wiced_bt_ble_address_type_t wiced_bt_ble_multi_adv_params_t::peer_addr_type</definition>
        <argsstring />
        <name>peer_addr_type</name>
        <briefdescription>
<para>Peer LE Address type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="359" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="359" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a670fabbd2fc224d4d7b8408f4e60aa87" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
        <definition>wiced_bt_device_address_t wiced_bt_ble_multi_adv_params_t::own_bd_addr</definition>
        <argsstring />
        <name>own_bd_addr</name>
        <briefdescription>
<para>Own LE address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="360" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="360" />
      </memberdef>
      <memberdef id="structwiced__bt__ble__multi__adv__params__t_1a984df1d6500488f5daeffa08984633b8" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
        <definition>wiced_bt_ble_address_type_t wiced_bt_ble_multi_adv_params_t::own_addr_type</definition>
        <argsstring />
        <name>own_addr_type</name>
        <briefdescription>
<para>Own LE Address type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="361" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="361" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>LE Multi advertising parameter. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="362" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" bodystart="348" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="349" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a9d16264ddaf50b7ea54232171235ed4b" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>adv_filter_policy</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a831863d686ff8dcce219d3783571c22e" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>adv_int_max</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a7f75e376dc2b3dfd530773829d9993be" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>adv_int_min</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a73cd14a2cf4b44e6cdde7e7dd20fa302" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>adv_tx_power</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a7cce84bb9e3419295fbc1d7161b3363c" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>adv_type</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1aecca987b1351639016aa85764b1672f4" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>channel_map</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a984df1d6500488f5daeffa08984633b8" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>own_addr_type</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a670fabbd2fc224d4d7b8408f4e60aa87" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>own_bd_addr</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1a130a1499d30093d9c947a44c214d7937" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>peer_addr_type</name></member>
      <member prot="public" refid="structwiced__bt__ble__multi__adv__params__t_1afce21fc6885a7da0b01bac3b97954836" virt="non-virtual"><scope>wiced_bt_ble_multi_adv_params_t</scope><name>peer_bd_addr</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>